<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Webphoria jQuery UI Autocomplete - Multiple, remote example</title>
  <link rel="stylesheet" href="//code.jquery.com/ui/1.11.2/themes/smoothness/jquery-ui.css">
  <script src="//code.jquery.com/jquery-1.10.2.js"></script>
  <script src="//code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
  <style>
  .ui-autocomplete-loading {
    background: white url("images/ui-anim_basic_16x16.gif") right center no-repeat;
  }
  </style>
  <script>
  $(function() {
    function split( val ) {
      return val.split( /,\s*/ );
    }
    function extractLast( term ) 
	{
      return split( term ).pop();
    }
 
    $( "#kwords" )
      // don't navigate away from the field on tab when selecting an item
      .bind( "keydown", function( event ) {
        if ( event.keyCode === $.ui.keyCode.TAB &&
            $( this ).autocomplete( "instance" ).menu.active ) {
          event.preventDefault();
        }
      })
      .autocomplete({
        source: function( request, response ) {
          $.getJSON( "search.php", {
            term: extractLast( request.term )
          }, response );
        },
        search: function() {
          // custom minLength
          var term = extractLast( this.value );
          if ( term.length < 2 ) {
            return false;
          }
        },
        focus: function() {
          // prevent value inserted on focus
          return false;
        },
        select: function( event, ui ) {
          var terms = split( this.value );
          // remove the current input
          terms.pop();
          // add the selected item
          terms.push( ui.item.value );
          // add placeholder to get the comma-and-space at the end - ive removed as it wasnt needed
  //        terms.push( "" );
//          this.value = terms.join( ", " );
  		  this.value = terms;
          return false;
        }
      });
  });
  </script>
</head>
<body>
 
<div class="ui-widget">
<form method="post" action="results.php">
  <label for="kwords">Products: </label>
  <input id="kwords" name="kwords" size="50"> <input type="submit" name="nutt" value="Search">
</div>
 
 
</body>
</html>